html, body {
  margin: 0;
  padding: 0;
  height: 100%; 
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
  background-color: #2E482A; 
  font-family: serif;
  box-sizing: border-box;
  padding: 40px 20px;
 /* background-image: url('foto/newsletter.png'); 
  background-position: center;         
  background-repeat: no-repeat;       
  background-size: cover;            
  background-attachment: fixed; */
}

main {
  display: flex;
  flex: 1;
  align-items: center;
  justify-content: center;
  width: 100%;
}

footer {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: auto;
  padding-top: 40px;
  margin-bottom: 20px;
}

a {
  border: none;
  text-decoration: none;
}

.link-box {
  display: block;
}

.contenitore-box {
  display: flex;
  justify-content: center;  
  gap: 20px;               
  flex-wrap: wrap;         
  padding: 10px;
  max-width: 1300px;
}

.box {
  background-color: rgba(26, 26, 26, 0.8); 
  border: 2px solid orange;                                  
  color: white;                                              
  padding: 25px;
  width: 280px;       
  height: 280px;      
  border-radius: 12px;        
  text-align: center;
  box-sizing: border-box; 
  transition: transform 0.3s ease, box-shadow 0.3s ease; 
  display: grid;
  grid-template-rows: auto 1fr auto; 
  justify-items: center;            
  align-items: center;               
}

.box h3 {
  color: orange;                             
  font-size: 1.6rem;
  margin: 0;
}

.box p {
  font-size: 1.05rem;
  margin: 0;
  padding: 0 10px; 
}

.cerchio-icona {
  width: 60px;               
  height: 60px;              
  border: 2px solid #ffffff; 
  background-color: transparent; 
  border-radius: 50%;        
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0; 
  transition: all 0.3s ease; 
}

.cerchio-icona i {
  font-size: 1.5rem;         
  color: #ffffff;            
}

.box:hover .cerchio-icona {
  border-color: orange;
  transform: scale(1.1);
}

.box:hover .cerchio-icona i {
  color: orange;
}

.box:hover {
  transform: translateY(-8px);              
  box-shadow: 0 8px 20px rgba(255, 165, 0, 0.4); 
}

.bottone {
  position: relative;
  display: inline-block;
  padding: 15px 35px;
  border: 2px solid #FFA500;
  text-transform: uppercase;
  color: orange;
  font-weight: 600;
  font-size: 1rem;
  letter-spacing: 1px;
}

.bottone::before {
  content: '';
  position: absolute;
  top: 6px;
  left: -2px;
  width: calc(100% + 4px);
  height: calc(100% - 12px);
  background-color:#1a1a1a;
  transition: 0.3s ease-in-out;
  transform: scaleY(1);
}

.bottone:hover::before {
  transform: scaleY(0);
}

.bottone::after {
  content: '';
  position: absolute;
  left: 6px;
  top: -2px;
  height: calc(100% + 4px);
  width: calc(100% - 12px);
  background-color: #1a1a1a;
  transition: 0.3s ease-in-out;
  transform: scaleX(1);
  transition-delay: 0.2s;
}

.bottone:hover::after {
  transform: scaleX(0);
}

.bottone span {
  position: relative;
  z-index: 3;
}